org.apache.lucene.index

## Class AssertingAtomicReader.AssertingFields

- java.lang.Object
- - org.apache.lucene.index.Fields
  - - org.apache.lucene.index.FilterAtomicReader.FilterFields
    - - org.apache.lucene.index.AssertingAtomicReader.AssertingFields

All Implemented Interfaces:
  Iterable<String>

Enclosing class:
  AssertingAtomicReader

    public static class AssertingAtomicReader.AssertingFields
    extends FilterAtomicReader.FilterFields

Wraps a Fields but with additional asserts

### Field Summary

### Fields inherited from class org.apache.lucene.index.FilterAtomicReader.FilterFields

`in`

### Fields inherited from class org.apache.lucene.index.Fields

`EMPTY_ARRAY`

### Constructor Summary

Constructors
Constructor and Description
`AssertingAtomicReader.AssertingFields(Fields in)`

### Method Summary

Methods
`Iterator<String>` `iterator()`
`Terms` `terms(String field)`

### Methods inherited from class org.apache.lucene.index.FilterAtomicReader.FilterFields

`getUniqueTermCount, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AssertingAtomicReader.AssertingFields

    public AssertingAtomicReader.AssertingFields(Fields in)

### Method Detail

#### iterator

    public Iterator<String> iterator()

Specified by:
  `iterator` in interface `Iterable<String>`
Overrides:
  `iterator` in class `FilterAtomicReader.FilterFields`

#### terms

    public Terms terms(String field)
                throws IOException

Overrides:
  `terms` in class `FilterAtomicReader.FilterFields`
Throws:
  `IOException`